NNG_PUSH_OPEN(3)

NAME
nng_push_open - create push socket

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/protocol/pipeline0/push.h>
    int nng_push0_open(nng_socket *s);
    int nng_push0_open_raw(nng_socket *s);

DESCRIPTION

The nng_push0_open() function creates a push version 0 socket and returns it at the location pointed to by s.

The nng_push0_open_raw() function creates a push version 0 socket in raw mode and returns it at the location pointed to by s.

RETURN VALUES

These functions return 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOMEM
    Insufficient memory is available.

NNG_ENOTSUP
    The protocol is not supported.

SEE ALSO

nng_socket(5), nng_pull(7), nng_push(7), nng(7)